% rutero en test 2, tema 3, 521230, S2-2012

% integral polinomio
Q1 = quad('tema3_func1',0,1,1e-3)

% integral spline
Q2 = quad('tema3_func2',0,1,1e-3)

% quad para evaluar integral de s como suma de las integrales en
% [ih,(i+1)h]
Q3 = 0;
for x = 0:.1:.9
    val = quad('tema3_func2',x,x+.1,1e-3);
    Q3 = Q3 + val;
end
Q3

% quad para evaluar integral de s con la suma y distintas tolerancias
Q3 = 0;
for x = 0:.1:.9
    val = quad('tema3_func2',x,x+.1,1e-6);
    Q3 = Q3 + val;
end
Q3

% quad para evaluar integral de s
Q3 = 0;
for x = 0:.1:.9
    val = quad('tema3_func2',x,x+.1,1e-8);
    Q3 = Q3 + val;
end
Q3

% quad para evaluar integral de s
Q3 = 0;
for x = 0:.1:.9
    val = quad('tema3_func2',x,x+.1,1e-10);
    Q3 = Q3 + val;
end
Q3


